# Class IllegalFormatWidthException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.util.IllegalFormatException
java.util.IllegalFormatWidthException

All Implemented Interfaces:
  `Serializable`

public non-sealed class IllegalFormatWidthException extends IllegalFormatException
Unchecked exception thrown when the format width is a negative value other than `-1` or is otherwise unsupported. If a given format width is not representable by an `int` type, then the value `Integer.MIN_VALUE` will be used in the exception.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllegalFormatWidthException(int w)`
  Constructs an instance of this class with the specified width.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getWidth()`
  Returns the width.

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IllegalFormatWidthException

    public IllegalFormatWidthException(int w)
    Constructs an instance of this class with the specified width.
    Parameters:
      `w` - The width

- ## Method Details

  - ### getWidth

    public int getWidth()
    Returns the width. If the width is not representable by an `int`, then returns `Integer.MIN_VALUE`.
    Returns:
      The width